; --------------------------------------------------------
; | FILE    : mark_1.asm                                 |
; | PROJECT : Low Cost PC Based Oscilloscope             |
; | DESC    : Test Serial Communications, sends out      |
; |			: "Testing.." Contiunously                   |
; | ==================================================== |
; | DATE    : 12/02/2002                                 |
; | BY      : Colin K McCord                             |
; | VERSION : 1.1                                        |
; --------------------------------------------------------			

					#include <p16f877.inc>	; Using PIC16F877

	org 0x0000				; Reset Vector
	goto MAIN	

	org 0x0020				; Main program

	; Include RS232 Subroutines (INITCOMS, PUTCHAR, GETCHAR)
	#include "rs232.asm"	

MAIN
	call INITCOMS		; Initialise RS232 Communications
	
TESTCOMS

	movlw	A'T'  		; Transmit 'T'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A'e'  		; Transmit 'e'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A's'  		; Transmit 's'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A't'  		; Transmit 't'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A'i'  		; Transmit 'i'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A'n'  		; Transmit 'n'
	movwf	DATA_TX		
	call 	PUTCHAR


	movlw	A'g'  		; Transmit 'g'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A'.'  		; Transmit '.'
	movwf	DATA_TX		
	call 	PUTCHAR

	movlw	A'.'  		; Transmit '.'
	movwf	DATA_TX		
	call 	PUTCHAR

	goto TESTCOMS

	END

