; --------------------------------------------------------
; | FILE    : mark_2.asm                                 |
; | PROJECT : Low Cost PC Based Oscilloscope             |
; | DESC    : Test Serial Communications, waits for an   |
; |			  incoming char and transmits the char.      |
; | ==================================================== |
; | DATE    : 13/02/2002                                 |
; | BY      : Colin K McCord                             |
; | VERSION : 1.0                                        |
; --------------------------------------------------------			

					#include <p16f877.inc>	; Using PIC16F877

	org 0x0000				; Reset Vector
	goto MAIN	

	org 0x0020				; Main program

	; Include RS232 Subroutines (INITCOMS, PUTCHAR, GETCHAR)
	#include "rs232.asm"	

MAIN
	call INITCOMS		; Initialise RS232 Communications

TESTCOM

	call GETCHAR		; Wait for incoming char

	movf	DATA_RX,w  	; Transmit char
	movwf	DATA_TX		
	call 	PUTCHAR

	goto TESTCOM

	END

